<template>
  <page-layout>
    <!-- Template Content Start -->
    <lazy-hydrate when-idle>
      <servicio-cover-section id="servicio-cover-section" v-bind="cover" />
    </lazy-hydrate>

    <lazy-hydrate when-visible>
      <servicio-core-points-section
        id="servicio-core-points-section"
        v-bind="content.corePoints"
      />
    </lazy-hydrate>

    <lazy-hydrate when-visible>
      <servicio-features-section
        id="servicio-features-section"
        v-bind="content.features"
      />
    </lazy-hydrate>

    <lazy-hydrate when-visible>
      <servicio-image-gallery-section
        id="servicio-image-gallery-section"
        v-bind="content.imageGallery"
      />
    </lazy-hydrate>
    <!-- Template Content End -->
  </page-layout>
</template>

<script>
import TemplateSections from '~/components/servicios/detail/';
import metaInfoMixin from '~/mixins/metaInfo.js';

export default {
  name: 'Servicio',
  components: TemplateSections,
  mixins: [metaInfoMixin],
  computed: {
    cover() {
      return this.$page.content.cover;
    },
    content() {
      const { corePoints, features, imageGallery } = this.$page.content;

      return {
        corePoints,
        features,
        imageGallery,
      };
    },
  },
};
</script>

<page-query>
  query ServicioTemplateContent($id: ID!) {
    content: servicioTemplateContent(id: $id) {
      meta {
        title
        description
      }
      cover {
        heading
        coverImage {
          image
          description
        }
        content {
          text
        }
      }
      corePoints {
        corePointItems {
          icon
          title
          text
        }
      }
      features {
        heading
        checklistItems {
          icon
          label
        }
      }
      imageGallery {
        images {
          galleryImage {
            image
            description
          }
        }
      }
    }
  }
</page-query>
